# GCC_RegistryRegisterChannelRequest Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_RegistryRegisterChannelRequest:

List of all members.

## Public Member Functions

| GCC_RegistryRegisterChannelRequest (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_EntityID | m_entityID
GCC_RegistryKey | m_key
GCC_DynamicChannelID | m_channelID

## Constructor & Destructor Documentation

GCC_RegistryRegisterChannelRequest::GCC_RegistryRegisterChannelRequest | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_RegistryRegisterChannelRequest::GetDataLength | ( |  | ) | const

PBoolean GCC_RegistryRegisterChannelRequest::Decode | ( | PASN_Stream & | strm | ) |

void GCC_RegistryRegisterChannelRequest::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_RegistryRegisterChannelRequest::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_RegistryRegisterChannelRequest::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_RegistryRegisterChannelRequest::Clone | ( |  | ) | const

## Member Data Documentation

GCC_EntityID GCC_RegistryRegisterChannelRequest::m_entityID

GCC_RegistryKey GCC_RegistryRegisterChannelRequest::m_key

GCC_DynamicChannelID GCC_RegistryRegisterChannelRequest::m_channelID

The documentation for this class was generated from the following file:

- gcc.h